Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.io
Class SubImageInputStream

    java.lang.Object
      javax.imageio.stream.ImageInputStreamImpl
          org.monte.media.io.ImageInputStreamImpl2
              org.monte.media.io.SubImageInputStream

All Implemented Interfaces:
  java.io.DataInput, javax.imageio.stream.ImageInputStream

    public class SubImageInputStream

extends ImageInputStreamImpl2

SubImageInputStream.

Version:
  $Id: SubImageInputStream.java 134 2011-12-02 16:23:00Z werner $
Author:
  Werner Randelshofer

Field Summary

Fields inherited from class javax.imageio.stream.ImageInputStreamImpl
`bitOffset, byteOrder, flushedPos, streamPos`

Constructor Summary
`SubImageInputStream(javax.imageio.stream.ImageInputStream in, long offset, long length)`

Method Summary
`void` | `flush()`
`long` | `getFlushedPosition()`
`long` | `getStreamPosition()`
`boolean` | `isCached()` Default implementation returns false.
`boolean` | `isCachedFile()`
`boolean` | `isCachedMemory()` Default implementation returns false.
`long` | `length()`
`int` | `read()`
`int` | `read(byte[] b, int off, int len)`
`void` | `seek(long pos)`

Methods inherited from class org.monte.media.io.ImageInputStreamImpl2
`readInt, readShort`

Methods inherited from class javax.imageio.stream.ImageInputStreamImpl
`checkClosed, close, finalize, flushBefore, getBitOffset, getByteOrder, mark, read, readBit, readBits, readBoolean, readByte, readBytes, readChar, readDouble, readFloat, readFully, readFully, readFully, readFully, readFully, readFully, readFully, readFully, readLine, readLong, readUnsignedByte, readUnsignedInt, readUnsignedShort, readUTF, reset, setBitOffset, setByteOrder, skipBytes, skipBytes`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubImageInputStream

    public SubImageInputStream(javax.imageio.stream.ImageInputStream in,
                               long offset,
                               long length)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in interface `javax.imageio.stream.ImageInputStream`
  Specified by:
    `read` in class `javax.imageio.stream.ImageInputStreamImpl`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Specified by:
    `read` in interface `javax.imageio.stream.ImageInputStream`
  Specified by:
    `read` in class `javax.imageio.stream.ImageInputStreamImpl`
  Throws:
    `java.io.IOException`

### getStreamPosition

    public long getStreamPosition()
                           throws java.io.IOException

  Specified by:
    `getStreamPosition` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `getStreamPosition` in class `javax.imageio.stream.ImageInputStreamImpl`
  Throws:
    `java.io.IOException`

### seek

    public void seek(long pos)
              throws java.io.IOException

  Specified by:
    `seek` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `seek` in class `javax.imageio.stream.ImageInputStreamImpl`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `flush` in class `javax.imageio.stream.ImageInputStreamImpl`
  Throws:
    `java.io.IOException`

### getFlushedPosition

    public long getFlushedPosition()

  Specified by:
    `getFlushedPosition` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `getFlushedPosition` in class `javax.imageio.stream.ImageInputStreamImpl`

### isCached

    public boolean isCached()

  Default implementation returns false. Subclasses should override this if they cache data.

  Specified by:
    `isCached` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `isCached` in class `javax.imageio.stream.ImageInputStreamImpl`

### isCachedMemory

    public boolean isCachedMemory()

  Default implementation returns false. Subclasses should override this if they cache data in main memory.

  Specified by:
    `isCachedMemory` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `isCachedMemory` in class `javax.imageio.stream.ImageInputStreamImpl`

### isCachedFile

    public boolean isCachedFile()

  Specified by:
    `isCachedFile` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `isCachedFile` in class `javax.imageio.stream.ImageInputStreamImpl`

### length

    public long length()

  Specified by:
    `length` in interface `javax.imageio.stream.ImageInputStream`
  Overrides:
    `length` in class `javax.imageio.stream.ImageInputStreamImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD